## clawsker 1.3.7

=== Makefile ===
#
# Clawsker Makefile
# Copyright 2007-2022 Ricardo Mones <ricardo@mones.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# See COPYING file for license details.
#

NAME = clawsker
VERSION ?= 1.3.7
PREFIX ?= /usr/local
BINDIR = ${PREFIX}/bin
DATADIR = ${PREFIX}/share
LIBDIR = ${PREFIX}/lib/${NAME}
MANDIR = ${DATADIR}/man
MAN1DIR = ${MANDIR}/man1
APPSDIR = ${DATADIR}/applications
THEMEDIR = ${DATADIR}/icons/hicolor
ICONRES = 48 64 128

all: build

build: ${NAME}.1
	-mkdir build
	perl -MConfig -p -e'1..1 and s/.*/$$Config{startperl}/;' \
		-e's,\@PREFIX\@,${PREFIX},;' \
		-e's,\@LIBDIR\@,${LIBDIR},;' \
		-e's,\@VERSION\@,${VERSION},;' \
		-e's,\@DATADIR\@,${DATADIR},' ${NAME} > build/${NAME}
	cp -p $< build/$<
	${MAKE} -C po build

${NAME}.1: ${NAME}.pod
	pod2man --release ${VERSION} -c '' $< > $@

install: all install-dirs install-icons
	install -m 0755 build/${NAME} ${DESTDIR}${BINDIR}
	install -m 0644 build/${NAME}.1 ${DESTDIR}${MAN1DIR}
	install -m 0644 ${NAME}.desktop ${DESTDIR}${APPSDIR}
	${MAKE} -C po install

install-dirs: install-icons-dirs
	install -d ${DESTDIR}${BINDIR}
	install -d ${DESTDIR}${MAN1DIR}
	install -d ${DESTDIR}${APPSDIR}
	${MAKE} -C po install-dirs

install-icons-dirs:
	install -d ${DESTDIR}${THEMEDIR}
	for res in ${ICONRES}; do \
		install -d ${DESTDIR}${THEMEDIR}/$${res}x$${res}/apps; \
	done

install-icons: install-icons-dirs
	for res in ${ICONRES}; do \
		install -m 0644 icons/${NAME}-$${res}.png ${DESTDIR}${THEMEDIR}/$${res}x$${res}/apps/${NAME}.png; \
	done

uninstall-icons:
	for res in ${ICONRES}; do \
		rm -f ${DESTDIR}${THEMEDIR}/$${res}x$${res}/apps/${NAME}.png; \
	done

uninstall: uninstall-icons
	rm -f ${DESTDIR}${BINDIR}/${NAME}
	rm -f ${DESTDIR}${MAN1DIR}/${NAME}.1
	rm -f ${DESTDIR}${APPSDIR}/${NAME}.desktop
	${MAKE} -C po uninstall

dist:
	rm -rf ${NAME}-${VERSION}
	mkdir ${NAME}-${VERSION}
	cp -p AUTHORS ChangeLog.old ${NAME} ${NAME}.pod ${NAME}.desktop \
		COPYING Makefile NEWS README ${NAME}-${VERSION}
	mkdir ${NAME}-${VERSION}/po
	cp -p po/*.po po/*.pot po/Makefile po/POTFILES po/README po/STATUS \
		${NAME}-${VERSION}/po
	mkdir ${NAME}-${VERSION}/po/unmaint
	cp -p po/unmaint/*.po ${NAME}-${VERSION}/po/unmaint
	mkdir ${NAME}-${VERSION}/icons
	cp -p icons/*.xcf icons/*.png ${NAME}-${VERSION}/icons
	mkdir ${NAME}-${VERSION}/t
	cp -p t/*.t ${NAME}-${VERSION}/t
	tar cJf ${NAME}-${VERSION}.tar.xz ${NAME}-${VERSION} \
		&& rm -rf ${NAME}-${VERSION}

clean-build:
	rm -f ${NAME}.1
	rm -rf build

clean: clean-build
	rm -f *~
	${MAKE} -C po clean

test-setup:
	@test -h t/Clawsker.pm || ( cd t/ && ln -s ../clawsker Clawsker.pm )

test: test-setup
	@env DISPLAY= prove -It

.PHONY: all build install install-dirs install-icons-dirs install-icons
.PHONY: uninstall uninstall-icons clean clean-build dist
.PHONY: test-setup test

=== po/Makefile ===
#
# Clawsker po Makefile
# Copyright 2007-2022 Ricardo Mones <ricardo@mones.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# See COPYING file for license details.
#

NAME = clawsker
TITLE = \# Translatable strings for Clawsker
COPYR = \# Copyright (C) 2007 Ricardo Mones <ricardo@mones.org>
VERSION ?= $(shell git describe)
PREFIX ?= /usr/local
DATADIR = ${PREFIX}/share
LOCALEDIR = ${DATADIR}/locale

XG_ARGS = --keyword=_ --flag=_:1:pass-java-format -L Perl -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=ricardo@mones.org --from-code=UTF-8
LINGUAS = es fr nl pt_BR sv nb ca tr da zh_TW pt_PT pl

all: build

${NAME}.pot.0:
	xgettext ${XG_ARGS} -f ./POTFILES -d ${NAME} -o $@

# remove bogus entry about_title
${NAME}.pot.1: ${NAME}.pot.0
	head -17 $< > $@
	tail -$(shell expr $(shell wc -l < $<) - 22 ) $< >> $@
	rm -f $<

update-pot: ${NAME}.pot.1
	sed 's,^# SOME DESC.*,${TITLE},;s,^# Copyright.*,${COPYR},' < $< > ${NAME}.pot
	rm -f $<

%.pox: %.po
	msgmerge -o $@ --previous $< ${NAME}.pot 

build:
	for po in ${LINGUAS}; \
	do msgfmt -v --statistics -c -o t-$${po} $${po}.po && mv -f t-$${po} $${po}.mo; \
	done
	

install: all install-dirs
	for po in ${LINGUAS}; \
	do install -m 0644 $${po}.mo ${DESTDIR}${LOCALEDIR}/$${po}/LC_MESSAGES/${NAME}.mo; \
	done

install-dirs:
	for po in ${LINGUAS}; \
	do install -d ${DESTDIR}${LOCALEDIR}/$${po}/LC_MESSAGES; \
	done

uninstall:
	for po in ${LINGUAS}; \
	do rm -f  ${DESTDIR}${LOCALEDIR}/$${po}/LC_MESSAGES/${NAME}.mo; \
	done

clean-build:
	rm -f *.mo

clean-pox:
	rm -f *.pox

clean: clean-build
	rm -f *~

.PHONY: all build install install-dirs uninstall clean clean-pox clean-build update-pot

=== debian/changelog ===
clawsker (1.3.7-2) unstable; urgency=medium

  * Fix FTBFS after successful build (Closes: #1043656)
  * Set Standards-Version to 4.6.2 with no other changes

 -- Ricardo Mones <mones@debian.org>  Sun, 20 Aug 2023 19:26:48 +0200

clawsker (1.3.7-1) unstable; urgency=medium

  * New upstream version 1.3.7
  * Set Stantards-Version to 4.6.1, no other changes
  * Add patch to hide desktop file from AppStream
  * Override lintian warning: debian-changelog-file-is-a-symlink

 -- Ricardo Mones <mones@debian.org>  Sun, 13 Nov 2022 22:00:07 +0100

=== debian/control ===
Source: clawsker
Section: mail
Priority: optional
Maintainer: Ricardo Mones <mones@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: perl, libgtk3-perl, liblocale-gettext-perl,
 libfile-which-perl, libtest-exception-perl, libtest-needsdisplay-perl,
 xauth, xvfb
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://www.claws-mail.org/clawsker.php
Vcs-Git: https://salsa.debian.org/claws-mail-team/clawsker.git
Vcs-Browser: https://salsa.debian.org/claws-mail-team/clawsker

Package: clawsker
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libgtk3-perl,
 liblocale-gettext-perl, libfile-which-perl
Recommends: claws-mail
Enhances: claws-mail
Description: Configuration tweaker for Claws Mail
 Clawsker is an applet to edit the so called Claws Mail hidden preferences.
 .
 Claws Mail is a fast, lightweight and feature-rich MUA with a high number
 of configurable options. To keep the binary small and fast some of these
 preferences which not widely used are not provided with a graphical
 interface for inspection and/or modification.
 .
 Users wanting to edit such preferences had to face raw edition of their
 configuration files, now you can do it with a convenient GTK+3 interface
 using Clawsker. In addition to hidden preferences, windows positions
 and/or sizes and keyboard shortcuts can be edited.

## clawsker 1.3.8

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker Makefile
-# Copyright 2007-2022 Ricardo Mones <ricardo@mones.org>
+# Copyright 2007-2023 Ricardo Mones <ricardo@mones.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -11,7 +11,7 @@
 #
 
 NAME = clawsker
-VERSION ?= 1.3.7
+VERSION ?= 1.3.8
 PREFIX ?= /usr/local
 BINDIR = ${PREFIX}/bin
 DATADIR = ${PREFIX}/share

=== po/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 LOCALEDIR = ${DATADIR}/locale
 
 XG_ARGS = --keyword=_ --flag=_:1:pass-java-format -L Perl -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=ricardo@mones.org --from-code=UTF-8
-LINGUAS = es fr nl pt_BR sv nb ca tr da zh_TW pt_PT pl
+LINGUAS = es fr nl pt_BR sv ca tr da zh_TW pt_PT pl ru
 
 all: build

=== debian/changelog ===
clawsker (1.3.8-1) unstable; urgency=medium

  * New upstream version
  * Update Build-Depends-Indep for new test requirements
  * Update years in copyright

 -- Ricardo Mones <mones@debian.org>  Sat, 23 Dec 2023 14:48:35 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: perl, libgtk3-perl, liblocale-gettext-perl,
  libfile-which-perl, libtest-exception-perl, libtest-needsdisplay-perl,
- xauth, xvfb
+ libtest-output-perl, xauth, xvfb
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://www.claws-mail.org/clawsker.php

## clawsker 1.4.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker Makefile
-# Copyright 2007-2023 Ricardo Mones <ricardo@mones.org>
+# Copyright 2007-2024 Ricardo Mones <ricardo@mones.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -11,7 +11,7 @@
 #
 
 NAME = clawsker
-VERSION ?= 1.3.8
+VERSION ?= 1.4.0
 PREFIX ?= /usr/local
 BINDIR = ${PREFIX}/bin
 DATADIR = ${PREFIX}/share

=== debian/changelog ===
clawsker (1.4.0-1) unstable; urgency=medium

  * New upstream version
  * Update Build-Depends-Indep with new tests requirements
  * Update package description with new features
  * Update Standards-Version to 4.7.0 with no other changes
  * Update years range in copyright file

 -- Ricardo Mones <mones@debian.org>  Sun, 08 Sep 2024 18:41:02 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: perl, libgtk3-perl, liblocale-gettext-perl,
  libfile-which-perl, libtest-exception-perl, libtest-needsdisplay-perl,
- libtest-output-perl, xauth, xvfb
+ libtest-output-perl, libtest-perl-critic-perl, xauth, xvfb
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.claws-mail.org/clawsker.php
 Vcs-Git: https://salsa.debian.org/claws-mail-team/clawsker.git
 Vcs-Browser: https://salsa.debian.org/claws-mail-team/clawsker
@@ -29,4 +29,5 @@
  Users wanting to edit such preferences had to face raw edition of their
  configuration files, now you can do it with a convenient GTK+3 interface
  using Clawsker. In addition to hidden preferences, windows positions
- and/or sizes and keyboard shortcuts can be edited.
+ and/or sizes, keyboard shortcuts and drop-down selector histories can be
+ edited.

=== debian/tests/control ===
Tests: cm-version
Depends: @, claws-mail

## clawsker 1.4.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker Makefile
-# Copyright 2007-2024 Ricardo Mones <ricardo@mones.org>
+# Copyright 2007-2025 Ricardo Mones <ricardo@mones.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -11,7 +11,7 @@
 #
 
 NAME = clawsker
-VERSION ?= 1.4.0
+VERSION ?= 1.4.1
 PREFIX ?= /usr/local
 BINDIR = ${PREFIX}/bin
 DATADIR = ${PREFIX}/share

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker po Makefile
-# Copyright 2007-2022 Ricardo Mones <ricardo@mones.org>
+# Copyright 2007-2025 Ricardo Mones <ricardo@mones.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -12,14 +12,14 @@
 
 NAME = clawsker
 TITLE = \# Translatable strings for Clawsker
-COPYR = \# Copyright (C) 2007 Ricardo Mones <ricardo@mones.org>
+COPYR = \# Copyright (C) 2007-2025 Ricardo Mones <ricardo@mones.org>
 VERSION ?= $(shell git describe)
 PREFIX ?= /usr/local
 DATADIR = ${PREFIX}/share
 LOCALEDIR = ${DATADIR}/locale
 
 XG_ARGS = --keyword=_ --flag=_:1:pass-java-format -L Perl -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=ricardo@mones.org --from-code=UTF-8
-LINGUAS = es fr nl pt_BR sv ca tr da zh_TW pt_PT pl ru
+LINGUAS = es fr nl sv ca tr da zh_TW pl ru
 
 all: build

=== debian/changelog ===
clawsker (1.4.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 23 Apr 2025 16:34:46 +0200

clawsker (1.4.1-1) unstable; urgency=medium

  * New upstream version
  * Update Standards-Version to 4.7.2, no other changes

 -- Ricardo Mones <mones@debian.org>  Sun, 13 Apr 2025 20:30:27 +0200

clawsker (1.4.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 11 Sep 2024 13:23:12 +0200

clawsker (1.3.8-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 23 Dec 2023 16:11:13 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libfile-which-perl, libtest-exception-perl, libtest-needsdisplay-perl,
  libtest-output-perl, libtest-perl-critic-perl, xauth, xvfb
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.claws-mail.org/clawsker.php
 Vcs-Git: https://salsa.debian.org/claws-mail-team/clawsker.git
 Vcs-Browser: https://salsa.debian.org/claws-mail-team/clawsker
